Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226131 - Merge Review: man
Summary: Merge Review: man
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:39 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-23 12:19:18 UTC
mmaslano: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:39:14 UTC
Fedora Merge Review: man

http://cvs.fedora.redhat.com/viewcvs/devel/man/
Initial Owner: varekova@redhat.com

Comment 1 Marcela Mašláňová 2007-02-22 17:00:02 UTC
Source:
E: man configure-without-libdir-spec
W: man macro-in-%changelog config
W: man macro-in-%changelog cache
W: man macro-in-%changelog _mandir
W: man macro-in-%changelog post
Arch:
W: man conffile-without-noreplace-flag /etc/cron.daily/makewhatis.cron
W: man conffile-without-noreplace-flag /etc/cron.weekly/makewhatis.cron
E: man non-standard-dir-perm /var/cache/man/local/cat3 0775
E: man non-standard-dir-perm /var/cache/man/cat6 0775
E: man non-standard-dir-perm /var/cache/man/cat7 0775
E: man non-standard-dir-perm /var/cache/man/cat8 0775
E: man non-standard-dir-perm /var/cache/man/cat9 0775
E: man non-standard-dir-perm /var/cache/man/X11R6/cat9 0775
E: man non-standard-dir-perm /var/cache/man/local/catn 0775
E: man non-standard-dir-perm /var/cache/man/X11R6/cat6 0775
E: man non-standard-dir-perm /var/cache/man/local/cat8 0775
E: man non-standard-dir-perm /var/cache/man/catn 0775
E: man non-standard-dir-perm /var/cache/man/local/cat9 0775
E: man non-standard-dir-perm /var/cache/man/cat1 0775
E: man non-standard-dir-perm /var/cache/man/local/cat2 0775
E: man non-standard-dir-perm /var/cache/man/local/cat6 0775
E: man non-standard-dir-perm /var/cache/man/local/cat4 0775
E: man non-standard-dir-perm /var/cache/man/local/cat5 0775
E: man non-standard-dir-perm /var/cache/man/cat3 0775
E: man non-standard-dir-perm /var/cache/man/cat4 0775
E: man non-standard-dir-perm /var/cache/man/cat5 0775
E: man executable-marked-as-config-file /etc/cron.weekly/makewhatis.cron
E: man non-standard-dir-perm /var/cache/man/local/cat1 0775
E: man non-standard-dir-perm /var/cache/man/local/cat7 0775
E: man non-standard-dir-perm /var/cache/man/local 0775
E: man non-standard-dir-perm /var/cache/man/X11R6/cat2 0775
E: man non-standard-executable-perm /usr/sbin/makewhatis 0754
E: man script-without-shebang /usr/sbin/makewhatis
E: man non-standard-dir-perm /var/cache/man/cat2 0775
E: man non-standard-dir-perm /var/cache/man/X11R6/cat1 0775
E: man non-standard-dir-perm /var/cache/man/X11R6/catn 0775
E: man non-standard-dir-perm /var/cache/man/X11R6 0775
E: man non-standard-dir-perm /var/cache/man/X11R6/cat7 0775
E: man non-standard-dir-perm /var/cache/man/X11R6/cat5 0775
E: man non-standard-dir-perm /var/cache/man/X11R6/cat4 0775
E: man non-standard-dir-perm /var/cache/man/X11R6/cat3 0775
E: man non-standard-dir-perm /var/cache/man/X11R6/cat8 0775
E: man executable-marked-as-config-file /etc/cron.daily/makewhatis.cron
W: man dangerous-command-in-%preun rm
W: man dangerous-command-in-%trigger rm

%triggerpostun is amazing macro. Is it ok?

Replace buidlroot.
You don't need in BuilRequiers have:
bzip2,coreutils,diffutils,gzip.

Defattr should have 4 parametres.

Shouldn't be perl replaced by something from bash?

md5sum OK

Comment 2 Ivana Varekova 2007-03-12 15:44:05 UTC
(In reply to comment #1)
> Source:
> E: man configure-without-libdir-spec
this is no problem man package configure file does not use libdir variable 

> Arch:
> E: man executable-marked-as-config-file /etc/cron.weekly/makewhatis.cron
> E: man executable-marked-as-config-file /etc/cron.daily/makewhatis.cron
these files should be executable

> W: man dangerous-command-in-%preun rm
> W: man dangerous-command-in-%trigger rm
it is right

> %triggerpostun is amazing macro. Is it ok?
it seems fine for me.

fixed in man-1.6e-3.fc7

Comment 3 Marcela Mašláňová 2007-03-15 12:21:20 UTC
ACCEPT


Note You need to log in before you can comment on or make changes to this bug.